Skip to main content
POST
/
devices
/
changeplan
Change data plan for devices (bulk)
curl --request POST \
  --url https://dashboard.hologram.io/api/1/devices/changeplan \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planid": 4,
  "zone": "global",
  "deviceids": [
    1
  ],
  "orgid": 45,
  "overage_limit": 5000000,
  "useacctbalance": true
}
'
{
  "success": true,
  "data": {
    "warnings": [],
    "devices_modified": [
      5
    ],
    "profiles_modified": [
      8,
      9
    ],
    "newplanid": 1
  },
  "order_data": {
    "preview": false,
    "sku": "PLANCHANGE",
    "unit_cost": 0.99,
    "total_cost": 0.99,
    "quantity": 1,
    "description": "Plan change for 2 profiles",
    "transaction_type_id": "PCH",
    "extra_description": "Plan:Standard Plan($1.9900 per 1 months)",
    "needs_shipping": false,
    "linkids": [
      9,
      8
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

preview
integer

Body

application/json
planid
number
required
Example:

4

zone
string
required
Example:

"global"

deviceids
number[]
required
orgid
number
required
Example:

45

overage_limit
number
Example:

5000000

useacctbalance
boolean
Example:

true

Response

200 - application/json

Successful response